package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.TerminalInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface TerminalInfoDAO {
	int insert(TerminalInfo entity);
	int update(TerminalInfo entity);
	int exist(String id);
	TerminalInfo get(String id);
	int delete(String id);
	int getCountByName(String name, String excludeId);
	List<TerminalInfo> list();
	List<TerminalInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    int updateActiveByTerminalNo(String terminalNo, boolean active);
}